import PropTypes from 'ant-design-vue/es/_util/vue-types';
export var DictSelectProps = {
  // 双向绑定的值
  value: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  // 字典组ID
  itemId: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  // 选项列表
  options: PropTypes.oneOfType([PropTypes.array, PropTypes.shape({
    label: PropTypes.string,
    value: PropTypes.string
  })]),
  // 是否不可用，该属性仅对select组件有效
  disabled: PropTypes.oneOfType([PropTypes.string, PropTypes.bool]).def(false),
  // 是否可编辑，当是编辑状态时，组件切换成select，否则仅仅是显示
  editable: PropTypes.oneOfType([PropTypes.string, PropTypes.bool]).def(true),
  // 输入提示
  placeholder: PropTypes.string.def('请选择')
};