"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LOADING_MODE = exports.LoadingProps = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var LoadingProps = {
  // loading的模式
  mode: _vueTypes["default"].oneOf(['loading', 'error', 'success']).def('loading'),
  // loading下显示的文字信息
  text: _vueTypes["default"].string.def(''),
  // 颜色
  color: _vueTypes["default"].string.def('')
};
exports.LoadingProps = LoadingProps;
var LOADING_MODE = {
  loading: {
    icon: 'loading',
    text: '加载中...'
  },
  error: {
    icon: 'close-circle',
    text: '数据获取失败'
  },
  success: {
    icon: 'check-circle',
    text: '成功'
  }
};
exports.LOADING_MODE = LOADING_MODE;