"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DictTextProps = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var DictTextProps = {
  // 字典组id
  dictId: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].number]).required,
  // 字典值
  name: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].number]).required,
  // 默认值
  defaultValue: _vueTypes["default"].string.def('-')
};
exports.DictTextProps = DictTextProps;